<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<title>初期設定 - a little bit リトルビット HTMLテキスト編集ツール</title>
<link href="alb.css" rel="stylesheet" type="text/css">
<!--
a little bit HTMLテキスト編集ツール リトルビット / by オレンジ工房
init.php 2015-07-28版
※最新版、サポート：http://alb.orange-factory.com
※このコメントは削除しないでください。
※改変は自己責任でお願いします。
-->
<style>
body {
	width: 40em;
	margin: auto;
	overflow: scroll;
}
h1 {
	margin: 1em auto;
}
h2 {
	margin-top: 2em;
}
p {
	margin-bottom: 0.5em;
}
ul {
	padding-left: 2em;
}
.inputarea {
	border: dashed 1px #f90;
	margin: 1em auto;
	padding: 1em;
}
#submit {
	font-size: 1.5em;
	padding: 0.5em 1em;
}
#footer {
	border-top: solid 1px #999;
	margin-top: 2em;
	padding-top: 1em;
	font-size: 0.8em;
}
.err {
	color: red;
}
</style>
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
</head>

<body>
<h1>リトルビット 初期設定</h1>
<?php
$err = 0;
$err_cname = 0;
$err_pwd = 0;
if ($_POST['init']) {

	$cname = $_POST['cname'];
	if (!preg_match('/^\w+$/', $cname)) {
		$msg_cname = 1;
		$err = 1;
	}
	$pwd = $_POST['pwd'];
	if (!preg_match('/^\w+$/', $pwd)) {
		$err_pwd   = 1;
		$err = 1;
	}

	if ($err == 0) {
		$path = exec("which perl");
		if (!$path) {
			echo('<p>perlのパス確認ができませんでしたが、設定を続けます。</p>');
		}
		else if ($path != '/usr/bin/perl') {
			if ($contents = file("./alb.cgi")) {
				$contents[0] = "#!$path\n";
				if (file_put_contents("./alb.cgi", $contents)){
				}
				else {
					$err = 1;
					echo('<p>CGIのパス書き換えに失敗しました。</p>');			
				}
			}
			else {
				$err = 1;
				echo('<p>CGIのパス設定に失敗しました。</p>');
			}
		}
	}

	if ($err == 0) {
		if (file_put_contents("./config.cgi", "pwd\t$pwd\ncname\t$cname\n")
		&& file_put_contents("./alb_edit.css", ".$cname{\nbackground:#fff;\ncolor:#000;\nz-index:100;\n}\n#albGrayout{\nbackground:#000;\nopacity:0.5;\nwidth:100%;\nheight:100%;\nposition:fixed;\ntop:0;\nleft:0;\nz-index:1;\n}\n") ) {
			chmod("./alb.cgi", 0705);
		}
		else {
			$err = 1;
		}
	}
}

echo(exec("which perl"));	// debug
echo("<br>");	// debug
$a = exec("perl -v");	// debug
echo($a);
echo("<br>");	// debug
echo(exec("/usr/local/bin/perl -v"));	// debug
echo("<br>");	// debug
echo(exec("whereis perl"));	// debug

/* 初期設定済み */
if ( file_exists("./config.cgi") ) {   
	$url = getenv('HTTP_HOST') . getenv('SCRIPT_NAME');
	$url = str_replace("init.php","", $url);
?>

<p>初期設定は完了しました。</p>
<p>実際にテキスト変更を行うには、「（フォルダ名を変更していないなら）<a href="http://<?php print($url) ?>">http://<?php print($url) ?></a>」をブラウザで表示してください。</p>
<p>初期設定をリセットする、一番分かりやすい方法は、リトルビットをフォルダごと削除し、アップロードしなおすことです。<br>
	通常、リトルビットを削除しても、公開中のサイトには影響はありません。</p>

<?php
}

/* 初期設定まだ */ 
else { 
?>

<form action="init.php" method="post">
	<div>
	<p>ようこそリトルビットへ。<br>
		リトルビットは、HTMLページ内の<strong>テキストを「ちょっとだけ」書き換える</strong>ツールです。</p>
		<p>この初期設定は、「HTMLやCSSの基礎知識があり、このサイトを編集できる方」が行ってください。</p>
		<p>初期設定が終われば、その後の利用にHTMLの知識はいりません。</p>
		<p>詳しい説明が必要なら、<a href="http://alb.orange-factory.com" target="_blank">リトルビットのサポートサイト</a>をご覧ください。</p>
	</div>
		<?php if ($err) { ?><p class="err lang ja">設定ファイルを作成できませんでした。</p><?php } ?>
	<h2>STEP1</h2>
<div>
	<p>リトルビットは編集できる場所を、HTMLタグのクラス名で探します。</p>
	<p>目印にするクラス名（class）を決めてください。</p>
	</div>
	<div class="inputarea">
		クラス名 =
		<input type="text" name="cname" id="cname" value="editable">
		<?php if ($err_cname > 0) { ?><p class="err lang ja">半角英数字で指定してください。</p><?php } ?>
	</div>
	<ul>
		<li>デザインなど他の目的では使っていない、専用のクラス名にしてください。 </li>
		<li>初期値「editable」をサイト内で使っていなければ、このままでもかまいません。</li>
	</ul>
	<h2>STEP2</h2>
	<p>リトルビットでテキストを編集する時の「パスワード」を決めてください。</p>
	<div class="inputarea">
		パスワード =
		<input type="text" name="pwd">
		<?php if ($err_pwd > 0) { ?><p class="err lang ja">半角英数字で指定してください。</p><?php } ?>
	</div>
	<ul>
		<li>リトルビットでのテキスト編集には、必ずパスワードが必要です。</li>
		<li>リトルビットに、パスワード以外のセキュリティ対策は施されていません。</li>
		<li>実際に編集作業をする方に、パスワードがどんなに大切か、よく説明しましょう。</li>
	</ul>
	<h2>STEP3</h2>
	<div>
	<p>サイト内の<strong>編集させるページ</strong>の<strong>編集させる部分のタグ</strong>に、STEP2で決めたクラスを設定してください。<br>
		<strong>そのタグの内側</strong>のテキストを編集できるようになります。 </p>
	<p>たとえば、&lt;p&gt;&lt;span class=&quot;editable&quot;&gt;このテキストは編集できますが&lt;/span&gt;、ここは編集できません。&lt;/p&gt;<br>
	</p>
	</div>
	<h2>STEP4</h2>
	<p>「設定完了」ボタンをクリックすると、以後、初期設定画面は表示されなくなります。</p>
	<ul>
		<li>初期設定をやり直したい時は、albフォルダ内の「config.cgi」ファイルを削除してください。</li>
	</ul>
	<p style="text-align:center">
		<input type="submit" value="設定完了" id="submit">
		<input type="hidden" name="init" value="1">
	</p>
</form>
<?php } /* 初期設定の有無による分岐終了 */ ?>
<div id="footer">
	<p>&copy; <a href="http://orange-factory.com">オレンジ工房</a> / <a href="http://alb.orange-factory.com">リトルビット http://alb.orange-factory.com</a></p>
	</p>
</div>
</body>
</html>
